1.0
1.0
get /v1/cdns
Description
list cdn service
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | created_by optional | create by Example : | any of [string, null] | None |
| query | name optional | cdn service name Example : | any of [string, null] | None |
| query | cdn_service_domain optional | cdn service domain Example : | any of [string, null] | None |
| query | cdn_origin_hostname optional | cdn service origin host name Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CdnServiceListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/cdns
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cdn 1.0"
Example HTTP response
Response 200
{
"cdn": [
{
"account_id": "",
"cdn_origin_hostname": "",
"cdn_service_domain": "",
"cdn_service_state": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"region": ""
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}